Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.ejbql
Class ASTExactNumericLiteral

    java.lang.Object
      org.jboss.ejb.plugins.cmp.ejbql.SimpleNode
          org.jboss.ejb.plugins.cmp.ejbql.ASTExactNumericLiteral

public final class ASTExactNumericLiteral
extends SimpleNode

This abstract syntax node represents an exact numeric literal.

Version:
  $Revision: 1.4 $
Author:
  Dain Sundstrom

Field Summary
`String` | `literal`
`long` | `value`

Fields inherited from class org.jboss.ejb.plugins.cmp.ejbql.SimpleNode
`children, id, parent`

Constructor Summary
`ASTExactNumericLiteral(int id)`

Method Summary
`Object` | `jjtAccept(JBossQLParserVisitor visitor, Object data)` Accept the visitor.
`void` | `setValue(String number)`
`String` | `toString()`

Methods inherited from class org.jboss.ejb.plugins.cmp.ejbql.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public long value

### literal

    public String literal

Constructor Detail

### ASTExactNumericLiteral

    public ASTExactNumericLiteral(int id)

Method Detail

### setValue

    public void setValue(String number)

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleNode`

### jjtAccept

    public Object jjtAccept(JBossQLParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Overrides:
    `jjtAccept` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.